# Class TestNames

java.lang.Object
com.ryanharter.auto.value.gson.example.TestNames

public abstract class TestNames extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`TestNames.Builder`

## Constructor Summary

Constructors
Constructor
Description
`TestNames()`

## Method Summary

Modifier and Type
Method
Description
`abstract int`
`_lowerCamelLeadingUnderscore()`
`abstract int`
`_UpperCamelLeadingUnderscore()`
`abstract int`
`annotated()`
`static TestNames.Builder`
`builder()`
`abstract int`
`lower_words()`
`abstract int`
`lowerCamel()`
`abstract int`
`lowerId()`
`static com.google.gson.TypeAdapter<TestNames>`
`typeAdapter(com.google.gson.Gson gson)`
`abstract int`
`UPPER_WORDS()`
`abstract int`
`UpperCamel()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TestNames

public TestNames()

## Method Details

### lowerCamel

public abstract int lowerCamel()

### UpperCamel

public abstract int UpperCamel()

### _lowerCamelLeadingUnderscore

public abstract int _lowerCamelLeadingUnderscore()

### _UpperCamelLeadingUnderscore

public abstract int _UpperCamelLeadingUnderscore()

### lower_words

public abstract int lower_words()

### UPPER_WORDS

public abstract int UPPER_WORDS()

### annotated

@SerializedName("annotatedName") public abstract int annotated()

### lowerId

public abstract int lowerId()

### builder

public static TestNames.Builder builder()

### typeAdapter

public static com.google.gson.TypeAdapter<TestNames> typeAdapter(com.google.gson.Gson gson)